"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("react");
require("react/jsx-runtime");
const MantineThemeProvider = require("../../MantineProvider/MantineThemeProvider/MantineThemeProvider.cjs");
const resolveClassNames = require("../use-styles/get-class-name/resolve-class-names/resolve-class-names.cjs");
const resolveStyles = require("../use-styles/get-style/resolve-styles/resolve-styles.cjs");
function useResolvedStylesApi({
  classNames,
  styles,
  props,
  stylesCtx
}) {
  const theme = MantineThemeProvider.useMantineTheme();
  return {
    resolvedClassNames: resolveClassNames.resolveClassNames({
      theme,
      classNames,
      props,
      stylesCtx: stylesCtx || void 0
    }),
    resolvedStyles: resolveStyles.resolveStyles({
      theme,
      styles,
      props,
      stylesCtx: stylesCtx || void 0
    })
  };
}
exports.useResolvedStylesApi = useResolvedStylesApi;
